For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate contact attribute
      • PUTUpdate contact attribute
      • GETList all attributes
      • DELDelete an attribute
      • DELDelete a multiple-choice attribute option
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementAttributes

List all attributes

GET
https://api.brevo.com/v3/contacts/attributes
GET
/v3/contacts/attributes
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.getAttributes();
8}
9main();
1{
2 "attributes": [
3 {
4 "category": "normal",
5 "name": "LASTNAME",
6 "type": "text"
7 },
8 {
9 "category": "normal",
10 "name": "FIRSTNAME",
11 "type": "text"
12 },
13 {
14 "category": "normal",
15 "name": "DOB",
16 "type": "date"
17 },
18 {
19 "category": "category",
20 "name": "GENDER",
21 "enumeration": [
22 {
23 "label": "Men",
24 "value": 1,
25 "valueStr": "1"
26 },
27 {
28 "label": "Women",
29 "value": 2,
30 "valueStr": "2"
31 },
32 {
33 "label": "Kid",
34 "value": 3,
35 "valueStr": "3"
36 }
37 ],
38 "type": "text"
39 },
40 {
41 "category": "category",
42 "name": "LANGUAGE",
43 "enumeration": [
44 {
45 "label": "English",
46 "value": 0,
47 "valueStr": "en"
48 },
49 {
50 "label": "French",
51 "value": 0,
52 "valueStr": "fr"
53 }
54 ],
55 "type": "text"
56 },
57 {
58 "category": "normal",
59 "name": "BDO",
60 "type": "user"
61 },
62 {
63 "category": "normal",
64 "name": "COUNTRY",
65 "multiCategoryOptions": [
66 "USA",
67 "India",
68 "France"
69 ],
70 "type": "multiple-choice"
71 }
72 ]
73}

Retrieve all contact attributes defined in your Brevo account, grouped by category (normal, transactional, category, calculated, global). Each attribute includes its name, type, and category, along with enumeration values for category-type attributes and options for multiple-choice-type attributes.

Was this page helpful?
Previous

Delete an attribute

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Response

Attributes listed
attributeslist of objects
Listing of available contact attributes in your account

Errors

400
Bad Request Error